> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/cloud-deployment.md).

# cloudDeployment

Represents a cloud deployment associated with an application, including type, subtype, hash, and location details.

### Examples

```graphql
type CloudDeployment {
  type: String
  subType: String
  name: String
  hash: String
  hashType: String
  link: String
  location: [AppFlowItemLocation]
  k8sType: String
  imageName: String
  date: String
  cluster: String
  region: String
}
```

### Fields

| Field                                                                                                                         | Description                                                     | Supported fields                                                                                                           |
| ----------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| type `String`                                                                                                                 | Type of cloud deployment                                        |                                                                                                                            |
| subType `String`                                                                                                              | Subtype of the deployment                                       |                                                                                                                            |
| name `String`                                                                                                                 | Name of the deployment                                          |                                                                                                                            |
| hash `String`                                                                                                                 | Hash value representing the deployment version or configuration |                                                                                                                            |
| hashType `String`                                                                                                             | Type of hash used                                               |                                                                                                                            |
| link `String`                                                                                                                 | Link to the cloud deployment or resource                        |                                                                                                                            |
| location [`[AppFlowItemLocation]`](/api-documentation/api-reference/api--application/types/objects/app-flow-item-location.md) | Locations associated with the cloud deployment                  | <p>runBy <code>String</code><br>foundBy <code>String</code><br>foundIn <code>String</code><br>link <code>String</code></p> |
| k8sType `String`                                                                                                              | Type of Kubernetes resource (if applicable)                     |                                                                                                                            |
| imageName `String`                                                                                                            | Name of the container image (if applicable)                     |                                                                                                                            |
| date `String`                                                                                                                 | Timestamp of the deployment                                     |                                                                                                                            |
| cluster `String`                                                                                                              | Cluster where the deployment is located                         |                                                                                                                            |
| region `String`                                                                                                               | Region where the deployment is hosted                           |                                                                                                                            |

### References

#### Fields with this object:

* [{} ApplicationFlow.cloudDeployments](/api-documentation/api-reference/api--application/types/objects/application-flow.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/cloud-deployment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
